import request from '@/utils/request'
// 送水列表
export function waterList(data) {
	return request({
		url: '/api/certificate/list',
		method: 'get',
		data
	});
}
// 送水详情
export function waterDetail(data) {
	return request({
		url: '/api/certificate/detail/'+data.id,
		method: 'get',
		data
	});
}
// 获取商品二级分类
export function category_layer(data) {
	return request({
		url: '/api/category_layer',
		method: 'get',
		data
	});
}
// 获取二级分类下商品
export function category_goods(data) {
	return request({
		url: '/api/category_goods',
		method: 'get',
		data
	});
}


// 获取水票
export function certificate(data) {
	return request({
		url: '/api/user/certificate',
		method: 'get',
		data
	});
}
// 水票使用记录
export function use_certificate(data) {
	return request({
		url: '/api/user/use_certificate',
		method: 'get',
		data
	});
}
// 获取门店可用时间段
export function storeday(data) {
	return request({
		url: '/api/order/storeday',
		method: 'get',
		data
	});
}
// 创建押桶订单
export function createPledge(data) {
	return request({
		url: '/api/pledge/create',
		method: 'post',
		data
	});
}
// 还桶
export function delPledge(data) {
	return request({
		url: '/api/pledge/refund',
		method: 'post',
		data
	});
}

// 配送订单
export function adminStatistics(data) {
	return request({
		url: '/api/admin/order/statistics',
		method: 'get',
		data
	});
}
// 获取送货人员
export function adminkf(data) {
	return request({
		url: '/api/admin/kf',
		method: 'get',
		data
	});
}
// 会员列表
export function storeMember(data) {
	return request({
		url: '/api/store/member',
		method: 'get',
		data
	});
}


//配送员订单
export function GetAdminOrderList(data) {
	return request({
		url: '/api/admin/order/list',
		method: 'get',
		data
	});
}


//送货
export function deliveryKeep(data) {
	return request({
		url: '/api/admin/order/delivery/keep',
		method: 'post',
		data
	});
}

//确认送达
export function take_delivery(data) {
	return request({
		url: '/api/admin/order/take_delivery/'+data.id,
		method: 'get',
		data
	});
}

//确认支付
export function offlinePay(data) {
	return request({
		url: '/api/admin/order/offline',
		method: 'post',
		data
	});
}
//店员定位
export function staff_location(data) {
	return request({
		url: '/api/store/staff_location',
		method: 'post',
		data
	});
}
//空桶管理
export function admin_certificate(data) {
	return request({
		url: '/api/admin/certificate',
		method: 'get',
		data
	});
}
//回收桶
export function pledge_recovery(data) {
	return request({
		url: '/api/admin/pledge/recovery',
		method: 'post',
		data
	});
}











